Bug 434069 - linux-atm failed massrebuild attempt for GCC 4.3
linux-atm failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: linux-atm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:01 EST by Jesse Keating
Modified: 2013-01-09 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 15:57:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Solution (279 bytes, patch)
2008-06-18 06:09 EDT, Mykola Ulianytskyi
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-22 08:01:39 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438415
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-23 21:56:37 EST
Errors in i386 build.log:

gcc -DHAVE_CONFIG_H -I. -I../..     -I../../src/include -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -Wall -Wshadow
-Wpointer-arith -Wwrite-strings -Wstrict-prototypes -MT main.o -MD -MP -MF
.deps/main.Tpo -c -o main.o main.c
main.c: In function 'main':
main.c:205: error: 'PATH_MAX' undeclared (first use in this function)
main.c:205: error: (Each undeclared identifier is reported only once
main.c:205: error: for each function it appears in.)
Comment 2 Bug Zapper 2008-05-14 01:24:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mykola Ulianytskyi 2008-06-18 06:09:35 EDT
Created attachment 309715 [details]
Solution
Comment 4 FTBFS 2008-09-05 12:13:27 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
code.
Comment 5 David Woodhouse 2008-09-05 12:37:56 EDT
%changelog
* Fri Apr 18 2008 David Woodhouse <dwmw2@infradead.org> - 2.5.0-7
- Fix GCC 4.3 compilation (#440981)
Comment 6 Matt Domsch 2008-09-16 15:57:11 EDT
2.5.0-7 and -8 have built through koji recently.  Closing.

Note You need to log in before you can comment on or make changes to this bug.